Debian Bug report logs - #656877
flash-kernel is not being run for kernel upgrades with unchanged ABI version

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Goulven Guillard <lecotegougdelaforce@free.fr>

Date: Sun, 22 Jan 2012 15:57:01 UTC

Severity: grave

Merged with 673418, 701781

Found in version flash-kernel/2.37

Fixed in version flash-kernel/3.0~rc.2

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#656877; Package linux-2.6. (Sun, 22 Jan 2012 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goulven Guillard <lecotegougdelaforce@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 Jan 2012 15:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goulven Guillard <lecotegougdelaforce@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-kirkwood: Unable to modprobe sd_mod and thus to mount USB devices
Date: Sun, 22 Jan 2012 16:31:26 +0100
Package: linux-2.6
Version: 2.6.32-39squeeze1
Severity: grave
Justification: renders package unusable

# modprobe sd_mod
FATAL: Error inserting sd_mod (/lib/modules/2.6.32-5-kirkwood/kernel/drivers/scsi/sd_mod.ko): Unknown symbol in module, or unknown parameter (see dmesg)
# dmesg|tail
[…]
[ 1213.753328] sd_mod: Unknown symbol scsi_verify_blk_ioctl
[ 1213.764231] sd_mod: Unknown symbol scsi_cmd_blk_ioctl

-- Package-specific info:
** Version:
Linux version 2.6.32-5-kirkwood (Debian 2.6.32-38) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Mon Oct 3 16:55:04 UTC 2011

** Command line:
console=ttyS0,115200

** Not tainted

** Kernel log:
[    0.250978] TCP bind hash table entries: 16384 (order: 4, 65536 bytes)
[    0.251157] TCP: Hash tables configured (established 16384 bind 16384)
[    0.251167] TCP reno registered
[    0.251316] NET: Registered protocol family 1
[    0.251488] Unpacking initramfs...
[    0.390735] Freeing initrd memory: 2284K
[    0.390844] NetWinder Floating Point Emulator V0.97 (double precision)
[    0.391091] audit: initializing netlink socket (disabled)
[    0.391124] type=2000 audit(0.380:1): initialized
[    0.397586] VFS: Disk quotas dquot_6.5.2
[    0.397846] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.397962] JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
[    0.398624] msgmni has been set to 1006
[    0.400343] alg: No test for stdrng (krng)
[    0.400463] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.400475] io scheduler noop registered
[    0.400482] io scheduler anticipatory registered
[    0.400490] io scheduler deadline registered
[    0.400676] io scheduler cfq registered (default)
[    0.406702] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[    0.407174] serial8250.0: ttyS0 at MMIO 0xf1012000 (irq = 33) is a 16550A
[    0.723343] console [ttyS0] enabled
[    0.727411] NAND device: Manufacturer ID: 0xec, Chip ID: 0xdc (Samsung NAND 512MiB 3,3V 8-bit)
[    0.736108] Scanning device for bad blocks
[    0.891983] Creating 3 MTD partitions on "orion_nand":
[    0.897156] 0x000000000000-0x000000100000 : "u-boot"
[    0.902708] 0x000000100000-0x000000500000 : "uImage"
[    0.908185] 0x000000500000-0x000020000000 : "root"
[    0.914405] mice: PS/2 mouse device common for all mice
[    0.919923] rtc-mv rtc-mv: rtc core: registered rtc-mv as rtc0
[    0.925872] i2c /dev entries driver
[    0.929572] cpuidle: using governor ladder
[    0.933800] cpuidle: using governor menu
[    0.937857] Registered led device: plug:green:health
[    0.942893] mv_xor_shared mv_xor_shared.0: Marvell shared XOR driver
[    0.949309] mv_xor_shared mv_xor_shared.1: Marvell shared XOR driver
[    0.995647] mv_xor mv_xor.0: Marvell XOR: ( xor cpy )
[    1.035645] mv_xor mv_xor.1: Marvell XOR: ( xor fill cpy )
[    1.075645] mv_xor mv_xor.2: Marvell XOR: ( xor cpy )
[    1.115645] mv_xor mv_xor.3: Marvell XOR: ( xor fill cpy )
[    1.122313] TCP cubic registered
[    1.125554] NET: Registered protocol family 17
[    1.130050] Gating clock of unused units
[    1.130058] before: 0x00dfc3fd
[    1.130065]  after: 0x00c7c1d9
[    1.130364] registered taskstats version 1
[    1.135158] rtc-mv rtc-mv: setting system clock to 2012-01-22 14:51:58 UTC (1327243918)
[    1.143273] Initalizing network drop monitor service
[    1.148329] Freeing init memory: 124K
[    1.226056] udev[44]: starting version 164
[    1.451840] mmc0: mvsdio driver initialized, using GPIO 47 for card detection
[    1.562507] mmc0: new high speed SDHC card at address e5bf
[    1.581543] mmcblk0: mmc0:e5bf SD08G 7.68 GiB 
[    1.586216]  mmcblk0: p1 p2 p3 p4
[    1.942157] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode
[    2.567629] udev[150]: starting version 164
[    3.010261] SCSI subsystem initialized
[    3.222025] libata version 3.00 loaded.
[    3.297493] usbcore: registered new interface driver usbfs
[    3.313053] usbcore: registered new interface driver hub
[    3.339601] usbcore: registered new device driver usb
[    3.367004] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    3.385160] MV-643xx 10/100/1000 ethernet driver version 1.4
[    3.392179] mv643xx_eth smi: probed
[    3.396231] sata_mv sata_mv.0: version 1.28
[    3.400553] sata_mv sata_mv.0: slots 32 ports 2
[    3.406589] scsi0 : sata_mv
[    3.410032] scsi1 : sata_mv
[    3.413253] ata1: SATA max UDMA/133 irq 21
[    3.417411] ata2: SATA max UDMA/133 irq 21
[    3.421587] orion-ehci orion-ehci.0: Marvell Orion EHCI
[    3.427789] orion-ehci orion-ehci.0: new USB bus registered, assigned bus number 1
[    3.455647] orion-ehci orion-ehci.0: irq 19, io mem 0xf1050000
[    3.475611] orion-ehci orion-ehci.0: USB 2.0 started, EHCI 1.00
[    3.481616] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    3.488457] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    3.495724] usb usb1: Product: Marvell Orion EHCI
[    3.500454] usb usb1: Manufacturer: Linux 2.6.32-5-kirkwood ehci_hcd
[    3.506850] usb usb1: SerialNumber: orion-ehci.0
[    3.512399] usb usb1: configuration #1 chosen from 1 choice
[    3.518327] hub 1-0:1.0: USB hub found
[    3.522126] hub 1-0:1.0: 1 port detected
[    3.533816] net eth0: port 0 with MAC address f0:ad:4e:00:2d:53
[    3.775629] ata1: SATA link down (SStatus 0 SControl F300)
[    4.125627] ata2: SATA link down (SStatus 0 SControl F300)
[    4.749791] loop: module loaded
[    5.825220] EXT4-fs (mmcblk0p4): mounted filesystem with ordered data mode
[    5.914087] EXT4-fs (mmcblk0p3): mounted filesystem with ordered data mode
[    8.575215] eth0: link up, 100 Mb/s, full duplex, flow control disabled
[   19.159419] NET: Registered protocol family 10
[   20.916604] ip_tables: (C) 2000-2006 Netfilter Core Team
[   29.585751] eth0: no IPv6 routers present
[   37.737987] sd_mod: Unknown symbol scsi_verify_blk_ioctl
[   37.748886] sd_mod: Unknown symbol scsi_cmd_blk_ioctl
[   45.031556] sd_mod: Unknown symbol scsi_verify_blk_ioctl
[   45.042446] sd_mod: Unknown symbol scsi_cmd_blk_ioctl
[ 1204.513382] sd_mod: Unknown symbol scsi_verify_blk_ioctl
[ 1204.524281] sd_mod: Unknown symbol scsi_cmd_blk_ioctl
[ 1213.753328] sd_mod: Unknown symbol scsi_verify_blk_ioctl
[ 1213.764231] sd_mod: Unknown symbol scsi_cmd_blk_ioctl

** Model information
Processor	: Feroceon 88FR131 rev 1 (v5l)
Hardware	: Marvell eSATA SheevaPlug Reference Board
Revision	: 0000

** Loaded modules:
Module                  Size  Used by
crc_t10dif              1106  0 
xt_multiport            2341  1 
iptable_filter          2012  1 
ip_tables               9004  1 iptable_filter
x_tables               10753  2 xt_multiport,ip_tables
ipv6                  253946  18 
ext2                   55355  1 
loop                   11435  0 
hmac                    2475  0 
ehci_hcd               36541  0 
sata_mv                24406  0 
sha1_generic            1717  0 
mv643xx_eth            22574  0 
usbcore               122759  2 ehci_hcd
libata                137954  1 sata_mv
libphy                 14844  1 mv643xx_eth
nls_base                5367  1 usbcore
inet_lro                5060  1 mv643xx_eth
mv_cesa                 9270  0 
scsi_mod              124300  1 libata
aes_generic            32820  1 mv_cesa
ext4                  288561  3 
mbcache                 4860  2 ext2,ext4
jbd2                   64191  1 ext4
mmc_block               7658  5 
mvsdio                  5318  0 
mmc_core               50218  2 mmc_block,mvsdio

** PCI devices:

** Sound cards:

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32-5-kirkwood
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-kirkwood depends on:
ii  debconf [debconf-2.0]  1.5.36.1          Debian configuration management sy
ii  initramfs-tools [linux 0.98.8            tools for generating an initramfs
ii  linux-base             2.6.32-39squeeze1 Linux image base package
ii  module-init-tools      3.12-1            tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-kirkwood recommends:
pn  firmware-linux-free           <none>     (no description available)
ii  uboot-mkimage                 0.4        generate kernel image for U-Boot

Versions of packages linux-image-2.6.32-5-kirkwood suggests:
pn  fdutils                       <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-kirkwood is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-kirkwood/postinst/depmod-error-initrd-2.6.32-5-kirkwood: false
  linux-image-2.6.32-5-kirkwood/postinst/ignoring-do-bootloader-2.6.32-5-kirkwood:
  linux-image-2.6.32-5-kirkwood/postinst/missing-firmware-2.6.32-5-kirkwood:
  linux-image-2.6.32-5-kirkwood/prerm/removing-running-kernel-2.6.32-5-kirkwood: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#656877; Package linux-2.6. (Sun, 22 Jan 2012 17:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 Jan 2012 17:03:09 GMT) Full text and rfc822 format available.

Message #10 received at 656877@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Goulven Guillard <lecotegougdelaforce@free.fr>
Cc: 656877@bugs.debian.org
Subject: Re: [armel] Unable to modprobe sd_mod and thus to mount USB devices
Date: Sun, 22 Jan 2012 11:01:45 -0600
severity 656877 important
tags 656877 + moreinfo
quit

Hi,

Goulven Guillard wrote:

> Version: 2.6.32-39squeeze1
[...]
> [   37.737987] sd_mod: Unknown symbol scsi_verify_blk_ioctl
> [   37.748886] sd_mod: Unknown symbol scsi_cmd_blk_ioctl
[...]
> Linux version 2.6.32-5-kirkwood (Debian 2.6.32-38) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 Mon Oct 3 16:55:04 UTC 2011

We don't currently guarantee that loading new modules after an upgrade
will work until the next reboot.

However, this looks like it is only 30 seconds or so after boot, so
something else is probably at play.  Did you flash the kernel
correctly?

Sorry for the trouble,
Jonathan

[...]
> Hardware        : Marvell eSATA SheevaPlug Reference Board
[...]
> ii  uboot-mkimage                 0.4        generate kernel image for U-Boot




Severity set to 'important' from 'grave' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jan 2012 17:03:10 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jan 2012 17:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#656877; Package linux-2.6. (Sun, 22 Jan 2012 21:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to lecotegougdelaforce@free.Fr:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 Jan 2012 21:51:14 GMT) Full text and rfc822 format available.

Message #19 received at 656877@bugs.debian.org (full text, mbox):

From: Goulven Guillard <lecotegougdelaforce@free.Fr>
To: 656877@bugs.debian.org
Subject: Re: [armel] Unable to modprobe sd_mod and thus to mount USB devices
Date: Sun, 22 Jan 2012 21:45:09 +0100
Le 22/01/2012 18:01, Jonathan Nieder a écrit :
> Did you flash the kernel correctly?

Indeed I did not and flash-kernel did not run by itself 
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550584 ?).

# ls -ltr /boot/
total 8480
drwxr-xr-x 2 root root   12288  6 Nov  20:40 lost+found
lrwxrwxrwx 1 root root      25  6 Nov  20:52 vmlinuz -> 
vmlinuz-2.6.32-5-kirkwood
lrwxrwxrwx 1 root root      28  6 Nov  20:52 initrd.img -> 
initrd.img-2.6.32-5-kirkwood
-rw-r--r-- 1 root root 2339194  6 Nov  21:07 uInitrd
-rw-r--r-- 1 root root 1435728  6 Nov  21:07 uImage
-rw-r--r-- 1 root root 1434052 12 Jan 11:04 vmlinuz-2.6.32-5-kirkwood
-rw-r--r-- 1 root root 1004729 12 Jan 11:05 System.map-2.6.32-5-kirkwood
-rw-r--r-- 1 root root   84134 12 Jan 11:05 config-2.6.32-5-kirkwood
-rw-r--r-- 1 root root 2328363 16 Jan 18:39 initrd.img-2.6.32-5-kirkwood

After running flash-kernel and rebooting, the error does not occur 
anymore and USB devices are mounted correctly.

Sorry for the disturbance…

Regards,

Goulven.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#656877; Package linux-2.6. (Sun, 22 Jan 2012 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 Jan 2012 22:09:06 GMT) Full text and rfc822 format available.

Message #24 received at 656877@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: lecotegougdelaforce@free.Fr
Cc: 656877@bugs.debian.org, flash-kernel@packages.debian.org
Subject: flash-kernel not run during ordinary squeeze->squeeze upgrade
Date: Sun, 22 Jan 2012 16:06:41 -0600
reassign 656877 flash-kernel 2.37
quit

Guillard wrote:
> Le 22/01/2012 18:01, Jonathan Nieder a écrit :

>> Did you flash the kernel correctly?
>
> Indeed I did not and flash-kernel did not run by itself
> (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550584 ?).
>
> # ls -ltr /boot/
> total 8480
> drwxr-xr-x 2 root root   12288  6 Nov  20:40 lost+found
> lrwxrwxrwx 1 root root      25  6 Nov  20:52 vmlinuz -> vmlinuz-2.6.32-5-kirkwood
> lrwxrwxrwx 1 root root      28  6 Nov  20:52 initrd.img -> initrd.img-2.6.32-5-kirkwood
> -rw-r--r-- 1 root root 2339194  6 Nov  21:07 uInitrd
> -rw-r--r-- 1 root root 1435728  6 Nov  21:07 uImage
> -rw-r--r-- 1 root root 1434052 12 Jan 11:04 vmlinuz-2.6.32-5-kirkwood
> -rw-r--r-- 1 root root 1004729 12 Jan 11:05 System.map-2.6.32-5-kirkwood
> -rw-r--r-- 1 root root   84134 12 Jan 11:05 config-2.6.32-5-kirkwood
> -rw-r--r-- 1 root root 2328363 16 Jan 18:39 initrd.img-2.6.32-5-kirkwood

Am I correct in guessing that the installed flash-kernel is version
2.37?

Hmm, this doesn't seem to be the same as 550584 since in this
example the kernel was flashed when creating the initramfs and not
when updating it 2.6.32-38 -> 2.6.32-39squeeze1, instead of the other
way around.

Reassigning.  flash-kernel maintainers, please feel free to assign
as appropriate once this is understood better.

Thanks,
Jonathan




Bug reassigned from package 'linux-2.6' to 'flash-kernel'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jan 2012 22:09:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-39squeeze1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jan 2012 22:09:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions flash-kernel/2.37. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jan 2012 22:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#656877; Package flash-kernel. (Sun, 22 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lecotegougdelaforce@free.Fr:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 22 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #35 received at 656877@bugs.debian.org (full text, mbox):

From: Goulven Guillard <lecotegougdelaforce@free.Fr>
To: 656877@bugs.debian.org
Cc: flash-kernel@packages.debian.org
Subject: Re: flash-kernel not run during ordinary squeeze->squeeze upgrade
Date: Sun, 22 Jan 2012 23:45:49 +0100
Le 22/01/2012 23:06, Jonathan Nieder a écrit :
> Am I correct in guessing that the installed flash-kernel is version
> 2.37?

Yes you are.


> Hmm, this doesn't seem to be the same as 550584 since in this
> example the kernel was flashed when creating the initramfs and not
> when updating it 2.6.32-38 ->  2.6.32-39squeeze1, instead of the other
> way around.

Right.  Maybe should I mention that I use flashybrid (0.16), although it 
didn't seem to bother the creation of the initramfs.  Anyway, below is 
reported flashybrid configuration in case it could be related.



-------------------------------------------------------------------------
In crontab : 0 9,17 * * * fh-sync
-------------------------------------------------------------------------
root@sheevaplug:/# cat /etc/flashybrid/config
# This is the main configuration file for the flashybrid system.

# The mount point of your flash memory.
FLASHMOUNT=/

# You probably want a ramdisk to be set up with directories that the system
# needs to write data to frequently, so that your flash disk can be mounted
# read-only. Flash memory can only be written to several thousand times over
# its lifetime, so setting up a ramdisk will extend the lifetime of your
# flash a lot. This is the location to mount the ramdisk. Comment out the
# line to not set up a ram disk.
RAMMOUNT=/ram

# Commands to run to enter full mode. The disk will be mounted before
# this.
FULL_CMDS="mount -o remount,rw /"

# Commands to run to enter embedded mode. The disk will be unmounted before
# this. If you wanted to spin a disk down, you could add a hdparm -y
# command.
EMBED_CMDS="mount -o remount,ro /"

# This controls the maximum ammount of memory you want to allocate
# to the tmpfs RAM drive
# This parameter is optional, and if you do not supply if, tmpfs will
# occupy up to 50% of your available memory (ram+swap)
FLASH_MAX=150m

# You may also want to edit the other files in this directory:
# ramtmp, ramstore
-------------------------------------------------------------------------
root@sheevaplug:/# cat /etc/flashybrid/ramstore
# This is a list of directories that are used to store variable data
# that is written to during normal operation of the system, and that should
# be preserved across reboots.
#
# On boot, the listed directories on your flash disk will be copied to the
# ram disk, and then bind mounts will be used to make the directories on
# the ram disk replace them.
#
# On shutdown, the contents of those directories on the ramdisk will be
# rsynced back to the flash disk.
#
# Directories listed here that are not present will be silently ignored.
# Do not put the trailing slash on directories!

# Should always be in ram disk.
/etc
/var/lib/alsa
/var/lib/asterisk
/var/lib/discover
/var/lib/dbus
/var/lib/exim4
/var/lib/op-panel
/var/lib/logrotate
/var/lib/mysql
/var/log
/var/run
/root

# If you don't use devfs/udev, you will want /dev in ram, since many things
# need to modify it when the system is running. Not needed on systems
# running udev.
#/dev

# Necessary if the system is to be able to send mail while in embedded
# mode.
/var/spool
/var/mail
-------------------------------------------------------------------------
root@sheevaplug:/# cat /etc/flashybrid/ramtmp
# This is a list of directories that should be set up as temporary
# directories in the ramdisk. On boot, the directories listed will be
# created on the ramdisk, mode 1777. Their contents will not be saved
# across reboots. The equivilent directories on your flash will be
# removed and replaced with symlinks to these directories.

# Do not put the trailing slash on directories!

/tmp
/var/lock
/var/lib/alsa
/var/lib/dhcp
/var/lib/dhcp3
/var/lib/php4
/var/lib/php5
/var/lib/misc
/var/lib/ntp
/var/lib/urandom
/var/lib/apache

# This could go in ramstore if you prefer for its contents to persist
# across reboots.
/var/tmp
-------------------------------------------------------------------------




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 23 Jan 2012 22:24:08 GMT) Full text and rfc822 format available.

Merged 656877 673418 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 18 May 2012 20:39:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'flash-kernel is not being run for kernel upgrades with unchanged ABI version' from 'linux-image-2.6.32-5-kirkwood: Unable to modprobe sd_mod and thus to mount USB devices' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 18 May 2012 20:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#656877; Package flash-kernel. (Tue, 22 May 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Tuckley <colint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 22 May 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #46 received at 656877@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 656877@bugs.debian.org
Subject: Also seen on Thecus (iop32x)
Date: Tue, 22 May 2012 18:08:43 +0100
[Message part 1 (text/plain, inline)]
I've noticed that when the kernel gets upgraded by apt-get upgrade that
it does *not* run flash-kernel on my Squeeze system.

I have a suspicion that the fact that the kernel name/version has not
changed might have something to do with it.

Before upgrade:

colin@muscat:~$ uname -a
Linux muscat 2.6.32-5-iop32x #1 Thu Mar 22 22:43:41 UTC 2012 armv5tel
GNU/Linux

After Upgrade and reboot:

colin@muscat:~$ uname -a
Linux muscat 2.6.32-5-iop32x #1 Thu Mar 22 22:43:41 UTC 2012 armv5tel
GNU/Linux

After running flash-kernel by hand and another reboot:

colin@muscat:~$ uname -a
Linux muscat 2.6.32-5-iop32x #1 Sun May 6 07:47:32 UTC 2012 armv5tel
GNU/Linux


I've attached the console and dpkg logs.

Colin

-- 
Colin Tuckley      |  +44(0)1223 830814  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Youthful figure: What you get when asking a woman's age.
[muscat-console.txt (text/plain, attachment)]
[muscat-dpkg.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#656877; Package flash-kernel. (Tue, 22 May 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 22 May 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #51 received at 656877@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Colin Tuckley <colint@debian.org>, 656877@bugs.debian.org
Subject: Re: Bug#656877: Also seen on Thecus (iop32x)
Date: Tue, 22 May 2012 14:25:07 -0600
* Colin Tuckley <colint@debian.org> [2012-05-22 18:08]:
> I've noticed that when the kernel gets upgraded by apt-get upgrade that
> it does *not* run flash-kernel on my Squeeze system.

This is a well known issue which has been resolved in testing/unstable:

flash-kernel (3.0~rc.2) experimental; urgency=low

  * New kernel and initramfs hooks, new logic: flash-kernel always installs
    the latest version according to linux-version and ignores other calls.
    - Fixes installation of new kernel ABIs; closes: #550584.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#656877; Package flash-kernel. (Tue, 22 May 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Tuckley <colint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 22 May 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #56 received at 656877@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 656877@bugs.debian.org
Subject: Re: Bug#656877: Also seen on Thecus (iop32x)
Date: Tue, 22 May 2012 21:37:10 +0100
On 22/05/12 21:25, Martin Michlmayr wrote:

> This is a well known issue which has been resolved in testing/unstable:
> 
> flash-kernel (3.0~rc.2) experimental; urgency=low
> 
>   * New kernel and initramfs hooks, new logic: flash-kernel always installs
>     the latest version according to linux-version and ignores other calls.
>     - Fixes installation of new kernel ABIs; closes: #550584.

Can we please get this into stable on security grounds then.

Currently if there is a kernel security upgrade then a user is likely to
do the install and reboot and think they are safe when in fact they are not.

Colin

-- 
Colin Tuckley      |  +44(0)1223 830814  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Don't read everything you believe.




Severity set to 'grave' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 27 Feb 2013 04:33:03 GMT) Full text and rfc822 format available.

Merged 656877 673418 701781 Request was from Ben Hutchings <ben@decadent.org.uk> to 701781-submit@bugs.debian.org. (Wed, 27 Feb 2013 04:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#656877; Package flash-kernel. (Thu, 28 Feb 2013 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 28 Feb 2013 17:36:05 GMT) Full text and rfc822 format available.

Message #65 received at 656877@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 656877@bugs.debian.org
Subject: Re: Bug#656877: Also seen on Thecus (iop32x)
Date: Thu, 28 Feb 2013 18:34:08 +0100
[Message part 1 (text/plain, inline)]
Control: fixed -1 3.0~rc.2

On Tue, 22 May 2012 14:25:07 -0600, Martin Michlmayr wrote:

> * Colin Tuckley <colint@debian.org> [2012-05-22 18:08]:
> > I've noticed that when the kernel gets upgraded by apt-get upgrade that
> > it does *not* run flash-kernel on my Squeeze system.
> 
> This is a well known issue which has been resolved in testing/unstable:
> 
> flash-kernel (3.0~rc.2) experimental; urgency=low

Marking the bug as fixed in this version.
 

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Paul McCartney: Coquette
[signature.asc (application/pgp-signature, inline)]

Marked as fixed in versions flash-kernel/3.0~rc.2. Request was from gregor herrmann <gregoa@debian.org> to 656877-submit@bugs.debian.org. (Thu, 28 Feb 2013 17:36:05 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Wed, 20 Mar 2013 04:39:04 GMT) Full text and rfc822 format available.

Notification sent to Goulven Guillard <lecotegougdelaforce@free.fr>:
Bug acknowledged by developer. (Wed, 20 Mar 2013 04:39:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:03:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.